Bug 118222 - applications crash because of this library
Summary: applications crash because of this library
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-13 21:29 UTC by mark
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-12 20:37:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my strace of nautilus (729.84 KB, text/plain)
2004-03-20 00:02 UTC, mark
no flags Details

Description mark 2004-03-13 21:29:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.6) Gecko/20040113

Description of problem:
applications such as nautilus, balsa, gdm etc. crash with the
following error message:

e.g. nautilus 2.5.90-1

nautilus: error while loading shared libraries:
/usr/lib/libgtk-x11-2.0.so.0: undefined symbol: pango_find_base_dir

i don't believe gtk2 should be accessing this private symbol... i saw
something in the gtk+ readme file mentioning something about this

also, when installing the gtk2 rpm, i receive a segmentation fault


Version-Release number of selected component (if applicable):
gtk2-2.3.6-1

How reproducible:
Always

Steps to Reproduce:
1. install this version of gtk2
2. install nautilus 2.5.90-1
3. type "nautilus" on an ssh login into the box
    

Additional info:

Comment 1 Owen Taylor 2004-03-13 21:43:22 UTC
Install Pango as well, it's just a missing Requires:

Comment 2 mark 2004-03-14 00:02:28 UTC
pango is installed:

[root@markf78 root]# rpm -q pango
pango-1.3.6-1
[root@markf78 root]# rpm -q pango-devel
pango-devel-1.3.6-1


Comment 3 Owen Taylor 2004-03-14 03:45:49 UTC
You probably have multiple versions of Pango on your system
then; pango-1.3.6 has that symnbol.

Comment 4 mark 2004-03-14 03:49:36 UTC
but, when i do an rpm query, only version 1.3.6-1 is listed (see
above)... that said, is it still possible for other versions to be
installed? and if so, how do i determine if there are other versions
are on the system?

Comment 5 mark 2004-03-20 00:00:22 UTC
i'm enclosing an strace of nautilus to help with debugging...

Comment 6 mark 2004-03-20 00:02:37 UTC
Created attachment 98701 [details]
my strace of nautilus

using 

pango-1.4.0-1
nautilus-2.5.91-2
gtk2-2.4.0-1

Comment 7 mark 2004-03-31 16:44:36 UTC
after installing FC2 test2, i can no longer produce this bug. it
appears it has been eliminated...


Note You need to log in before you can comment on or make changes to this bug.